API Explorer 1 endpoints

Get Custom Views

GET /obp/v7.0.0/management/custom-views

OBPv6.0.0-getCustomViews Roles: CanGetCustomViews View-CustomView-System

Get all custom views.

Custom views are user-created views with names starting with underscore (_), such as:

  • _work
  • _personal
  • _audit

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (1)
views
Example success response
{
  "views": []
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 getCustomViews Originally /obp/v6.0.0/management/custom-views